### Constructor

# Devhelp Sidebar new

#### Declaration [src]

    GtkWidget*
    dh_sidebar_new (
      DhBookManager* book_manager
    )

#### Description

No description available.

Deprecated since: | 3.30
Use `dh_sidebar_new2()` instead.

#### Parameters

`book_manager` | `DhBookManager`
| A `DhBookManager`. This parameter is deprecated, you should just pass `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `DhSidebar` widget.
| The data is owned by the called function.